<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Kategori_model extends CI_Model {
    public function get_artikel_per_kategori() {
        $this->db->select('kategori.kategori_nama as nama_kategori, COUNT(artikel.artikel_id) as jumlah');
        $this->db->from('kategori');
        $this->db->join('artikel', 'artikel.artikel_kategori = kategori.kategori_id', 'left'); // Menggunakan kategori_id
        $this->db->group_by('kategori.kategori_nama');
        $query = $this->db->get();
        return $query->result();
    }
}
